Subject: bug#8730: bug#8781: bug#8730: bug#8781: 24.0.50; unload-feature don't restore default key

From: Juanma Barranquero <[email-masked]>
Date: Thu, 2 Jun 2011 15:59:50 +0200

On Thu, Jun 2, 2011 at 14:26, Stefan Monnier <[email-masked]> wrote:

>> Or are you proposing to go through the buffer list and checking
>> whether their major modes are defined in the package being unloaded?
>
> Ah, yes, indeed, that's another solution that would work as well.

I prefer that, because it is more thorough. There's no point in a
buffer keeping a major mode that is going to be undefined.

But anyway, this is a new feature, sort of. I suggest installing my
fix for emacs-23 and then doing what you propose in the trunk.

    Juanma